Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
agora::rtc::FaceShapeAreaOptions Struct Reference

`#include <AgoraBase.h>`

## Public Types
enum | FACE_SHAPE_AREA { FACE_SHAPE_AREA_NONE = -1 , FACE_SHAPE_AREA_HEADSCALE = 100 , FACE_SHAPE_AREA_FOREHEAD = 101 , FACE_SHAPE_AREA_FACECONTOUR = 102 , FACE_SHAPE_AREA_FACELENGTH = 103 , FACE_SHAPE_AREA_FACEWIDTH = 104 , FACE_SHAPE_AREA_CHEEKBONE = 105 , FACE_SHAPE_AREA_CHEEK = 106 , FACE_SHAPE_AREA_MANDIBLE = 107 , FACE_SHAPE_AREA_CHIN = 108 , FACE_SHAPE_AREA_EYESCALE = 200 , FACE_SHAPE_AREA_EYEDISTANCE = 201 , FACE_SHAPE_AREA_EYEPOSITION = 202 , FACE_SHAPE_AREA_LOWEREYELID = 203 , FACE_SHAPE_AREA_EYEPUPILS = 204 , FACE_SHAPE_AREA_EYEINNERCORNER = 205 , FACE_SHAPE_AREA_EYEOUTERCORNER = 206 , FACE_SHAPE_AREA_NOSELENGTH = 300 , FACE_SHAPE_AREA_NOSEWIDTH = 301 , FACE_SHAPE_AREA_NOSEWING = 302 , FACE_SHAPE_AREA_NOSEROOT = 303 , FACE_SHAPE_AREA_NOSEBRIDGE = 304 , FACE_SHAPE_AREA_NOSETIP = 305 , FACE_SHAPE_AREA_NOSEGENERAL = 306 , FACE_SHAPE_AREA_MOUTHSCALE = 400 , FACE_SHAPE_AREA_MOUTHPOSITION = 401 , FACE_SHAPE_AREA_MOUTHSMILE = 402 , FACE_SHAPE_AREA_MOUTHLIP = 403 , FACE_SHAPE_AREA_EYEBROWPOSITION = 500 , FACE_SHAPE_AREA_EYEBROWTHICKNESS = 501 }

## Public Member Functions
| FaceShapeAreaOptions (FACE_SHAPE_AREA shapeArea, int areaIntensity)
| FaceShapeAreaOptions ()

## Public Attributes
FACE_SHAPE_AREA | shapeArea
int | shapeIntensity

## Detailed Description

Since
  v4.4.0

## Member Enumeration Documentation

## ◆ FACE_SHAPE_AREA

enum agora::rtc::FaceShapeAreaOptions::FACE_SHAPE_AREA

The specific facial area to be adjusted.

Since
  v4.4.0

Enumerator
FACE_SHAPE_AREA_NONE | (Default) Invalid area.
FACE_SHAPE_AREA_HEADSCALE | Head Scale, reduces the size of the head. The value range is [0, 100]. The default value is 50. The larger the value, the stronger the head reduction effect.
FACE_SHAPE_AREA_FOREHEAD | Forehead, adjusts the size of the forehead. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the forehead effect.
FACE_SHAPE_AREA_FACECONTOUR | Face Contour, slims the facial contour. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the facial contour reduction effect.
FACE_SHAPE_AREA_FACELENGTH | Face Length, adjusts the length of the face. The value range is [-100, 100]. The default value is 0. The larger the absolute value, the stronger the face length effect, negative values indicate the opposite direction.
FACE_SHAPE_AREA_FACEWIDTH | Face Width, narrows the width of the face. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the face width reduction effect.
FACE_SHAPE_AREA_CHEEKBONE | Cheekbone, adjusts the size of the cheekbone. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the cheekbone effect.
FACE_SHAPE_AREA_CHEEK | Cheek, adjusts the size of the cheek. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the cheek effect.
FACE_SHAPE_AREA_MANDIBLE | Mandible, slims the mandible. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the mandible effect. Since v4.6.0
FACE_SHAPE_AREA_CHIN | Chin, adjusts the length of the chin. The value range is [-100, 100]. The default value is 0. The larger the absolute value, the stronger the chin effect, negative values indicate the opposite direction.
FACE_SHAPE_AREA_EYESCALE | Eye Scale, adjusts the size of the eyes. The value range is [0, 100]. The default value is 50. The larger the value, the stronger the eye size effect.
FACE_SHAPE_AREA_EYEDISTANCE | Eye Distance, adjusts the distance between the two eyes. The value range is [-100, 100]. The default value is 0. The larger the absolute value, the stronger the eye distance effect, negative values indicate the opposite direction. Since v4.6.0
FACE_SHAPE_AREA_EYEPOSITION | Eye Position, adjusts the upper and lower position of the eyes. The value range is [-100, 100]. The default value is 0. The larger the absolute value, the stronger the eye position effect, negative values indicate the opposite direction. Since v4.6.0
FACE_SHAPE_AREA_LOWEREYELID | Lower Eyelid, adjusts the downward position of the eyelids. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the lower eyelid effect. Since v4.6.0
FACE_SHAPE_AREA_EYEPUPILS | Eye Pupils, adjusts the size of the pupils. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the eye pupils effect. Since v4.6.0
FACE_SHAPE_AREA_EYEINNERCORNER | Eye Inner Corner, adjusts the inner corners of the eyes. The value range is [-100, 100]. The default value is 0. The larger the absolute value, the stronger the eye inner corner effect, negative values indicate the opposite direction. Since v4.6.0
FACE_SHAPE_AREA_EYEOUTERCORNER | Eye Outer Corner, adjusts the outer corners of the eyes. The value range is [-100, 100]. The default value is 0. The larger the absolute value, the stronger the eye outer corner effect, negative values indicate the opposite direction. Since v4.6.0
FACE_SHAPE_AREA_NOSELENGTH | Nose Length, adjusts the length of the nose. The value range is [-100, 100]. The default value is 0.
FACE_SHAPE_AREA_NOSEWIDTH | Nose Width, adjusts the width of the nose. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the nose width effect. Since v4.6.0
FACE_SHAPE_AREA_NOSEWING | Nose Wing, adjusts the size of the nose wings. The value range is [0, 100]. The default value is 10. The larger the value, the stronger the nose wing effect. Since v4.6.0
FACE_SHAPE_AREA_NOSEROOT | Nose Root, adjusts the size of the nose root. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the nose root effect. Since v4.6.0
FACE_SHAPE_AREA_NOSEBRIDGE | Nose Bridge, adjusts the size of the nose bridge. The value range is [0, 100]. The default value is 50. The larger the value, the stronger the nose bridge effect. Since v4.6.0
FACE_SHAPE_AREA_NOSETIP | Nose Tip, adjusts the size of the nose tip. The value range is [0, 100]. The default value is 50. The larger the value, the stronger the nose tip effect. Since v4.6.0
FACE_SHAPE_AREA_NOSEGENERAL | Nose General, adjusts the overall size of the nose. The value range is [-100, 100]. The default value is 50. The larger the absolute value, the stronger the nose general effect, negative values indicate the opposite direction. Since v4.6.0
FACE_SHAPE_AREA_MOUTHSCALE | Mouth Scale, adjusts the size of the mouth. The value range is [-100, 100]. The default value is 20. The larger the absolute value, the stronger the mouth size effect, negative values indicate the opposite direction. Since v4.6.0
FACE_SHAPE_AREA_MOUTHPOSITION | Mouth Position, adjusts the position of the mouth. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the mouth position effect. Since v4.6.0
FACE_SHAPE_AREA_MOUTHSMILE | Mouth Smile, adjusts the degree of the mouth's smile. The value range is [0, 100]. The default value is 30. The larger the value, the stronger the mouth smile effect. Since v4.6.0
FACE_SHAPE_AREA_MOUTHLIP | Mouth Lip, adjusts the size of the lips. The value range is [0, 100]. The default value is 0. The larger the value, the stronger the mouth lip effect. Since v4.6.0
FACE_SHAPE_AREA_EYEBROWPOSITION | Eyebrow Position, adjusts the position of the eyebrows. The value range is [-100, 100]. The default value is 0. The larger the absolute value, the stronger the eyebrow position effect, negative values indicate the opposite direction. Since v4.6.0
FACE_SHAPE_AREA_EYEBROWTHICKNESS | Eyebrow Thickness, adjusts the thickness of the eyebrows. The value range is [-100, 100]. The default value is 0. The larger the value, the stronger the eyebrow thickness effect. Since v4.6.0

## Constructor & Destructor Documentation

## ◆ FaceShapeAreaOptions() [1/2]

agora::rtc::FaceShapeAreaOptions::FaceShapeAreaOptions | ( | FACE_SHAPE_AREA | shapeArea,
|  | int | areaIntensity )
| inline

## ◆ FaceShapeAreaOptions() [2/2]

agora::rtc::FaceShapeAreaOptions::FaceShapeAreaOptions | ( |  | ) |
| inline

## Member Data Documentation

## ◆ shapeArea

FACE_SHAPE_AREA agora::rtc::FaceShapeAreaOptions::shapeArea

The specific facial area to be adjusted, See FACE_SHAPE_AREA.

## ◆ shapeIntensity

int agora::rtc::FaceShapeAreaOptions::shapeIntensity

The intensity of the pinching effect applied to the specified facial area.